> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an offering

> Get offering by offeringId



## OpenAPI

````yaml GET /offering/{offeringId}
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /offering/{offeringId}:
    get:
      tags:
        - Offering
      summary: Get offering by offeringId
      description: Get offering by offeringId
      operationId: get
      parameters:
        - name: offeringId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The offering has been successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfferingDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    OfferingDTO:
      type: object
      properties:
        offeringId:
          type: string
          example: cmVhY3Rpb24vMTIzNA75
          description: The unique identifier for the offering
        title:
          type: string
          example: Decentri Fund
          description: The title or name of the offering
        subtitle:
          type: string
          example: Decentralized fund for the future
          description: A brief subtitle or tagline for the offering
        description:
          type: string
          example: >-
            This fund is built on decentralization principles, offering greater
            transparency and autonomy to participants.
          description: A detailed description of the offering
        token:
          description: The token of the offering
          allOf:
            - $ref: '#/components/schemas/TokenDTO'
        imageUrl:
          type: string
          example: https://example.com/image.png
          description: The URL of the image
        type:
          type: string
          example: Equity
          description: The type of the offering
        pricePerToken:
          type: number
          example: 100
          description: The price per token
        offeringPeriod:
          description: The period during which the offering is available
          allOf:
            - $ref: '#/components/schemas/OfferingPeriodDTO'
        fundingLimits:
          description: The limits on contributions or participation in the offering
          allOf:
            - $ref: '#/components/schemas/FundingLimitsDTO'
        participants:
          type: number
          description: The current number of participants in the offering
        organizationId:
          type: string
          description: The ID of the organization that owns the offering
      required:
        - offeringId
        - title
        - token
        - pricePerToken
        - offeringPeriod
        - fundingLimits
        - participants
        - organizationId
    TokenDTO:
      type: object
      properties:
        name:
          type: string
          description: The name of the token
          example: ACME Token
        symbol:
          type: string
          description: The symbol of the token
          example: ACME
        address:
          type: string
          description: The address of the token
          example: '0xc0ffee254729296a45a3885639AC7E10F9d54979'
        decimals:
          type: number
          description: The number of decimals places the token should have
          example: 18
        isPaused:
          type: boolean
          description: Whether the token is paused
          example: false
        totalSupply:
          type: number
          description: The total supply of the token
        createdAt:
          format: date-time
          type: string
          description: The date the token was created
      required:
        - name
        - symbol
        - address
        - decimals
        - isPaused
        - totalSupply
        - createdAt
    OfferingPeriodDTO:
      type: object
      properties:
        startDate:
          format: date-time
          type: string
          example: '2021-09-01T00:00:00Z'
          description: The start date of the offering period
        endDate:
          format: date-time
          type: string
          example: '2021-09-30T23:59:59Z'
          description: The end date of the offering period
      required:
        - startDate
        - endDate
    FundingLimitsDTO:
      type: object
      properties:
        minPayableAmount:
          type: number
          example: 1000
          description: The minimum amount a participant can pay.
        maxPayableAmount:
          type: number
          example: 10000
          description: The maximum amount a participant can pay.
        hardCap:
          type: number
          example: 100000
          description: >-
            The hard cap of the offering, representing the maximum total amount
            that can be raised.
        softCap:
          type: number
          example: 100000
          description: >-
            The soft cap of the offering, representing the minimum target amount
            to proceed with the offering.
        raised:
          type: number
          example: 1000
          description: The total amount currently raised
      required:
        - raised

````